Belgiumdigital.com in samenwerking met
Pagina 2 van 3 EersteEerste 1 2 3 LaatsteLaatste
Weergegeven resultaten: 26 t/m 50 van 61

Discussie: forum unsecured

  1. #26

    Standaard Re: forum unsecured

    OK, het is zo ver. Er werd niets gedaan en de nieuwste Firefox (74) weigert het forum te laden.

    Secure Connection Failed

    An error occurred during a connection to forum.belgiumdigital.com. Peer using unsupported version of security protocol.

    Error code: SSL_ERROR_UNSUPPORTED_VERSION

    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
    Please contact the website owners to inform them of this problem.

    Learn more…

    This website might not support the TLS 1.2 protocol, which is the minimum version supported by Firefox. Enabling TLS 1.0 and TLS 1.1 might allow this connection to succeed.

    TLS 1.0 and TLS 1.1 will be permanently disabled in a future release.
    Voorlopig is er nog een "override" maar die verdwijnt binnenkort ook (terecht!).


    Ter info, maandag heb ik bij Hetzner een couldserver opgezet en daar is ondersteuning van TLS versies een zaak van aan/afvinken en het creëren van een key via Let's Encrypt. Dat duurt dus maar een paar minuten.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  2. #27
    Geregistreerd: 17 februari 2010

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door on4bam Bekijk bericht
    Ter info, maandag heb ik bij Hetzner een couldserver opgezet en daar is ondersteuning van TLS versies een zaak van aan/afvinken en het creëren van een key via Let's Encrypt. Dat duurt dus maar een paar minuten.
    Dat gaat met de stokoude software waar het forum op draait niet lukken.

    curl -i https://forum.belgiumdigital.com/
    HTTP/1.1 200 OK
    Date: Wed, 11 Mar 2020 07:23:26 GMT
    Server: Apache/2.2.16 (Debian)
    X-Powered-By: PHP/5.3.3-7+squeeze14

  3. #28

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door schollaert Bekijk bericht
    Dat gaat met de stokoude software waar het forum op draait niet lukken.

    curl -i https://forum.belgiumdigital.com/
    HTTP/1.1 200 OK
    Date: Wed, 11 Mar 2020 07:23:26 GMT
    Server: Apache/2.2.16 (Debian)
    X-Powered-By: PHP/5.3.3-7+squeeze14
    Ouch... Nu ja, momenteel kan je FF (en andere up-to-date browsers) nog overriden maar ook dat stopt in de nabije toekomst. Zal dan aangeraden worden een oude browser te gebruiken om toch nog op het forum te geraken? Misschien lukt het nog met Windows 3.1


    Een PHP versie die EOL is sinds 2014 is echt onverantwoord. (voor mijn eigen hosting ben ik al ongemakkelijk omdat daar PHP 7.2 de nieuwste versie is, Op Hetzner heb ik 7.4 geïnstalleerd)
    Ook Apache 2.2.16 (2011!) zit met een hoop lekken.
    Als we dan ook nog zien dat het forum versie 4.2.2 is terwijl V5 in 2012 werd gereleased

    Misschien moet de boel maar eens een tijdje offline voor serieus onderhoud en upgrades. Het verwonderd mij dat er nog geen serieuze problemen geweest zijn gezien de vele lekken in zowel OS, Apache, PHP en Vbulletin.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  4. #29

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door on4bam Bekijk bericht
    Ouch... Nu ja, momenteel kan je FF (en andere up-to-date browsers) nog overriden maar ook dat stopt in de nabije toekomst.
    Zal dan aangeraden worden een oude browser te gebruiken om toch nog op het forum te geraken? Misschien lukt het nog met Window 3.1

    Eek Windoze 3.1?
    Sofort met z'n alle naar het stort op zoek naar diskettedrivers en verloop kabels. Mss. hadden de laatste floppy's een USB aansluiting?

    Hier dus een PC met Edge en daar staat een slotje op.
    ‘De beste foto's zijn foto's die tastbaar, uitnodigend en echt aanvoelen’

  5. #30
    Geregistreerd: 10 oktober 2006

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door on4bam Bekijk bericht
    Ouch... Nu ja, momenteel kan je FF (en andere up-to-date browsers) nog overriden maar ook dat stopt in de nabije toekomst. Zal dan aangeraden worden een oude browser te gebruiken om toch nog op het forum te geraken? Misschien lukt het nog met Windows 3.1


    Een PHP versie die EOL is sinds 2014 is echt onverantwoord. (voor mijn eigen hosting ben ik al ongemakkelijk omdat daar PHP 7.2 de nieuwste versie is, Op Hetzner heb ik 7.4 geïnstalleerd)
    Ook Apache 2.2.16 (2011!) zit met een hoop lekken.
    Als we dan ook nog zien dat het forum versie 4.2.2 is terwijl V5 in 2012 werd gereleased

    Misschien moet de boel maar eens een tijdje offline voor serieus onderhoud en upgrades. Het verwonderd mij dat er nog geen serieuze problemen geweest zijn gezien de vele lekken in zowel OS, Apache, PHP en Vbulletin.
    Misschien kan jij je daar dan eens mee bezighouden ?

  6. #31

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door palombian Bekijk bericht
    Misschien kan jij je daar dan eens mee bezighouden ?
    Mocht ik er de tijd voor hebben graag. Helaas onderhoud ik al 2 sites en "mag" ik nu de migratie doen naar een nieuwe host waar i.p.v. een werkende hosting omgeving enkel een lege "PC" was. Dus start vanaf 0 met OS e.d.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  7. #32

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door palombian Bekijk bericht
    Misschien kan jij je daar dan eens mee bezighouden ?
    Het ligt er maar aan wie de servers in beheer heeft.
    Ligt dit bij BD, dan kunnen zij waarschijnlijk de servers onderhouden en daarmee ook apache en PHP upgraden.

    Huren zij bij een hosting provider, dan ligt dit aan de provider.
    Maar dan is dit toch zeer grote nalatenschap waarom zij dit niet onderhouden??

  8. #33

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door Asterion Bekijk bericht
    Huren zij bij een hosting provider, dan ligt dit aan de provider.
    Maar dan is dit toch zeer grote nalatenschap waarom zij dit niet onderhouden??
    Alles hangt af van wie de server beheert. Mijn huidige hoster was ook terughoudend om PHP te updaten tot o.a. Wordpress een hogere versie nodig ging hebben. Dan kregen we nieuwere versies ter beschikking en was er een keuze in het controlpanel om de versie te kiezen.

    Het lijkt mij ideaal om een clone te draaien op een testserver, daar updates te testen en na succes de up-to-date versie op de productieserver te plaatsen of, als de update probleemloos verloopt deze toe te passen op de productieversie. Ik gebruik deze werkwijze op mijn (kleine, bescheiden) sites telkens er ingrijpende veranderingen gedaan moeten worden.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  9. #34

    Standaard Re: forum unsecured

    BTW, die oude software zorgt er tevens voor dat de site niet GDPR compliant is.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  10. #35

    Standaard Re: forum unsecured

    Dit is een oud gekend zeer.
    In het begin werd alles gehost op een PC die bij JaJa op school stond en was, ik dacht Peter, de informaticus die voor en na zijn werkuren het onderhoud deed.
    Alles werd duurder en er werd meer en meer capaciteit gevraagd zodat het geheel op een eigen server kwam. Dat was ook de aanleiding om een 'betalend' lidmaatschap te voorzien. Dit werd besloten tijdens een ALV waar voor- en tegenstanders op aanwezig waren en een democratische stemming werd gehouden.
    Op een bepaald ogenblik, nog voor het samengaan met Minoc, werd het geheel gehost en beheerd door een externe partij,
    Later werd voor zover ik correct ben alles gehost en onderhouden onder de vleugels van Minoc.
    Dit betekent dat er een heel lang erfpad aan BD vooraf gaat en dat betekent evenveel als dat veel zaken indertijd maatwerk waren, zijn. De Challenge is daar een vb van.
    In het begin hield upgraden van versies ook enig gevaar in en ik herinner mij vrij vlot de kleine probleempjes. Men was nooit zeker dat het maatwerk nog functioneel was.
    Laat ons hierbij niet uit het oog verliezen dat in het begin alles op basis van vrijwwilligers werk ging.
    Zolang je alles zelf beheert heb je alles in handen en bepaal je zelf het reilen en zeilen van BD-beheer of op het vlak van infrastructuur. Eenmaal je naar derden stapt komen heel wat meer zaken op de proppen en verstrengen spelregels.
    1) Wanneer mag, moet een upgrade gebeuren ? Wie is gemachtigd om een upgrade te vragen ?
    2) Wie draagt eventueel de kosten van een upgrade en wat houdt die upgrade in en hoeveel kost hij ?
    3) Draait de upgrade nog op onderliggende software, hardware ? Zo neen, hoe moet die worden geupgrade en wie is daar dan voor verantwoordelijk ? Eveneens welke is dan de kostprijs.
    4) Wie draait de testen ? Wat moet en kan er getest worden en vooral wie draagt de werkingskost daarvan ?
    Zo hebben we inderdaad PHP. Sedert versie 7 wordt Mysql niet meer ondersteund. Indien je werkingspakket daar nu gebruik van maakt en je stapt over naar PHP 7, dan moeten er eventueel enkele databaseverwijzingen aangepast en vooral, dient een migratie van de data van de ene softwareversie aangepast en overgezet naar het andere databasetype. Bv van Mysql naar MariaDB. Ook dit moet dan getest wat dat is in feite de kern van een forum. Blijft alle functionaliteit behouden ?
    Een mooi voorbeeld is het gebruik van arrays. In PHP 5 en lager volstond volgende declaratie;

    tmp_arr = "";
    tmp_arr[0] = "cel 1";
    tmp_arr[1] = "cel 3";

    Bij PHP 7 krijg je een foutmelding bij de invulling van het array.
    tmp_arr[0] = "cel 1" genereerd een fout omdat voor PHP7 tmp_arr = "" eigenlijk de declaratie is van een string-variable.
    Bij PHP 7 geeft dit een fout en is de declaratie van het array tmp_arr

    tmp_arr = array();
    tmp_arr[0] = "cel 1";
    tmp_arr[1] = "cel 3";


    Zo zie je dat het niet enkel maar een upgrade-beslissing is. Wie heeft het onderhoud en wie kan tot een upgrade beslissen voor wat BD betreft ? Indien een upgrade van PHP-Bulletin naar bv PHP 7.2 wordt besloten, dan dient niet enkel het programma, maar eveneens de gehele PHP-module geupdated. Indien er nu nog andere pakketten gebruik maken van die PHP-kernel, dan dienen die ook opgetild naar de versiewaarop de Kernel draait. PHP-Bulletin heeft natuurlijk wel al alles getest voor de PHP-versie, maar het maatwerk is dat niet.
    De vreemde eend in de bijt is hier "Challenge" die niet op PHP7 draait maar een ouder versie. Challenge is eveneens gebaseerd op foto-forumsoftware, maar er werden indertijd een heel pak maatwerk gedaan. De auteur(s) zijn er helaas niet meer en vreemde software aanpassen is niet altijd even gemakkelijk en je moet er de vrijwilligers voor hebben.

    Zelf heb ik in het verleden en zelfs heel recentelijk een voorstel gedaan de 'Challenge' kompleet te herschrijven zodat ze minder zwaar, eenvoudiger en vooral beheers-gebruiksvriendelijker werd. PHPversie 7 of 7.2 of 7.4 (er zijn niet echt grote verschillen tussen de onderliggende versies). Heb daar nooit een antwoord op gekregen, met uitzondering van Lesc die daar positief tegenover stond.

    Dus, een upgrade van de forumsoftware en de Challenge naar een laatste PHP-versie is inderdaad wenselijk maar dat vraagt voor Challenge zeker programmeerwerk, testwerk, wil je beide applicaties op dezelfde webserver laten draaien. Wil je dat niet, dan kan je enkel twee verschillende PHP's draaien op twee verschillende webservers en dat kost geld.
    https://www.fotospotter.be
    1% van iets is meer dan 100% van niets - koplopers in een kudde lopen zelden in de str*nt

  11. #36

    Standaard Re: forum unsecured

    Eigenlijk zal het probleem zichzelf oplossen (bij manier van spreken).

    Ofwel wordt er werk gemaakt van de upgrade ofwel is BD niet meer toegankelijk wanneer alle browsers de brakke SSL blokkeren zonder mogelijkheid dit te omzeilen. Ondertussen is het dan wachten op een GDPR gerelateerd probleem (data breach/klacht).
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  12. #37
    Geregistreerd: 17 juni 2007

    Standaard Re: forum unsecured

    oef, ik dacht dat ik alleen was... yep, firefox met de nieuwe update en basta, gedaan met BD...
    De gustibus et coloribus non est disputandum
    Nikon F70 analoog, Tri-x filmpjes

  13. #38

    Standaard Re: forum unsecured

    Tapatalk gebruiken.
    Canon EOS Digital
    BD0479BE

  14. #39

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door TomStr Bekijk bericht
    oef, ik dacht dat ik alleen was... yep, firefox met de nieuwe update en basta, gedaan met BD...
    Andere browser gebruiken voor BD alleen.
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  15. #40

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door on4bam Bekijk bericht
    OK, het is zo ver. Er werd niets gedaan en de nieuwste Firefox (74) weigert het forum te laden.

    Voorlopig is er nog een "override" maar die verdwijnt binnenkort ook (terecht!).
    Inderdaad, ook hier hetzelfde
    Het wordt hoog tijd dat BD dit eens oplost of 't is hier gedaan, velen gebruiken hier FF als browser

    grts
    Sieg
    Voor meer foto's ; www.sieg.be

  16. #41
    Geregistreerd: 17 februari 2010

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door Sieg Bekijk bericht
    Inderdaad, ook hier hetzelfde
    Het wordt hoog tijd dat BD dit eens oplost of 't is hier gedaan, velen gebruiken hier FF als browser

    grts
    Sieg
    Alle andere browsers zijn zeer binnenkort ook niet meer te gebruiken...

  17. #42

    Standaard Re: forum unsecured

    Zo, 't is gedaan via pc, gaat enkel nog met mijn slimme foon

  18. #43
    Geregistreerd: 12 juli 2001

    Standaard Re: forum unsecured

    Ik zie geen probleem voor FF gebruikers.
    Je kan toch altijd een oudere versie draaien?
    Twee versies tegelijk als 't moet. (op een iMac toch)

  19. #44

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door w00ha Bekijk bericht
    Ik zie geen probleem voor FF gebruikers.
    Je kan toch altijd een oudere versie draaien?
    Twee versies tegelijk als 't moet. (op een iMac toch)
    Je kan (voorlopig) de ondersteuning voor oude TSL toelaten. Je kan uiteraard altijd een oudere versie draaien, je kan ook Win 3.1 gebruiken. De vraag is, wil je dat wel? Wil je bewust met verouderde en minder veilige software werken?
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  20. #45

    Standaard Re: forum unsecured

    Niet op de win 10 en 7 (FF)

    Nu via edge op pc
    Laatst gewijzigd door toerist; 13 maart 2020 om 16:07

  21. #46

    Standaard Re: forum unsecured

    Oudere soft draaien is niet echt een oplossing hé
    Zou wel graag eens wat meer info krijgen hier van de forumleiding of de persoon die zich bezighoudt met de website.
    Alles houden ze hier duidelijk in het oog want overal wordt onmiddellijk een slotje op geplaatst, maar iets dat van belang is voor hun eigen overleven daar komt geen oplossing voor.
    Ik ga hier niet op de pc bvb Edge gaan draaien om deze site te kunnen bezoeken, zeker omdat de kleuren er compleet naast zitten in Edge
    En trouwens, ik ben een betalend lid, dus als ik niet meer op de site geraak ....

    grts
    Sieg
    Voor meer foto's ; www.sieg.be

  22. #47

    Standaard Re: forum unsecured

    Nu iedereen moet binnen blijven is er misschien tijd voor een update van de software

    BTW, een GDPR inbreuk is ook een reden om wat moeite te doen, niet?
    bye, Maurice
    https://on4bam.com/
    Nikon D7500

  23. #48

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door on4bam Bekijk bericht
    BTW, een GDPR inbreuk is ook een reden om wat moeite te doen, niet?
    De mogelijke boetes zijn anders ook niet mals.
    Canon EOS Digital
    BD0479BE

  24. #49

    Standaard Re: forum unsecured

    Aha, ik kan weer via FF
    "The further a society drifts from the truth the more it will despise those that speak it" .
    George Orwell

  25. #50

    Standaard Re: forum unsecured

    Citaat Oorspronkelijk geplaatst door toerist Bekijk bericht
    Aha, ik kan weer via FF
    Nog eens geklikt op mijn links in Firefox en JA ze doen het weer!

    Dank u wel.
    Vriendelijke groet,

    Jos

Pagina 2 van 3 EersteEerste 1 2 3 LaatsteLaatste

Soortgelijke discussies

  1. Het Forum is dood; Leve het nIeuwe Forum
    Door kodachrome in forum Algemeen
    Reacties: 49
    Laatste bericht: 4 juli 2012, 18:33

Regels voor berichten

  • Je mag geen nieuwe discussies starten
  • Je mag niet reageren op berichten
  • Je mag geen bijlagen versturen
  • Je mag niet je berichten bewerken
  •